## libglushim 0.1-maemo1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(glues)
add_definitions(-std=c99)

include_directories(include)
include_directories(source)

add_definitions(-D__USE_SDL_GLES__=1)
aux_source_directory(source SRC)
aux_source_directory(source/libtess TESS_SRC)
aux_source_directory(libnurbs/*/ NURBS_SRC)
add_library(GLU SHARED ${SRC} ${TESS_SRC} ${NURBS_SRC})

if(CMAKE_SHARED_LIBRARY_SUFFIX MATCHES ".so")
    set_target_properties(GLU PROPERTIES SUFFIX ".so.1")
endif()

=== debian/changelog ===
libglushim (0.1-maemo1) unstable; urgency=low
	
  * Initial version: https://github.com/lunixbochs/glues/tree/glu

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 04 Aug 2013 15:47:31 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	mkdir build ; cd build ; cmake .. ; make
endif
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf build

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	CURDIR=$1

ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	#mkdir -p ${CURDIR}/debian/libglushim-dev/usr/include/
	#cp -r include/GL ${CURDIR}/debian/libglushim-dev/usr/include/

	mkdir -p ${CURDIR}/debian/libglushim/usr/lib

	cp ${CURDIR}/build/libGLU.so.1 ${CURDIR}/debian/libglushim/usr/lib/
	ln -s libGLU.so.1 ${CURDIR}/debian/libglushim/usr/lib/libGLU.so
endif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libglushim 0.1-maemo2

=== debian/changelog ===
libglushim (0.1-maemo2) unstable; urgency=low
	
  * Add: dh_makeshlibs

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Aug 2013 21:35:31 +0200

=== debian/control ===
Source: libglushim
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), cmake, libglshim-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: libglushim
Architecture: any
Depends: ${shlibs:Depends}
Description: GLU for GL to GLES

Package: libglushim-dev
Architecture: any
Depends: ${shlibs:Depends}, libglushim
Description: GLU for GL to GLES

=== debian/rules ===
--- 
+++ 
@@ -107,7 +107,7 @@
 	dh_fixperms
 #	dh_perl
 #	dh_python
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
